Updating Clarion PDF XChange and PDF Tools from 3.0 to 3.6

This Forum is for the use of Clarion For Windows - Software Developers requiring help and assistance for Tracker Software's PDF-XChange Printer Drivers SDK (only) - Please use the PDF-Tools SDK Forum for Library DLL assistance.

Moderators: TrackerSupp-Daniel, Tracker Support, Vasyl-Tracker Dev Team, Sean - Tracker, Chris - Tracker Supp, Tracker Supp-Stefan, Ivan - Tracker Software, Tracker - Clarion Support, John - Tracker Supp, Support Staff, moderators

Post Reply
MSegnari
User
Posts: 12
Joined: Fri Jul 08, 2005 9:55 pm

Updating Clarion PDF XChange and PDF Tools from 3.0 to 3.6

Post by MSegnari » Fri Nov 17, 2006 10:22 pm

Hi,

I'm updating from 3.0 to 3.6 in my templates. Should I get rid of all the 3.0 files, and un-register the 3.0 templates? Should I keep both the 3.0 and the 3.6 templates in my template registry?

Does anyone know if the CPCS add-on that uses PDF Tools works with 3.6, or should I stick with 3.0 for CPCS?

Thanks,
Mark Segnari

Tracker - Clarion Support
Site Admin
Posts: 1412
Joined: Wed Jun 30, 2004 4:45 pm
Location: Maryland, USA
Contact:

Post by Tracker - Clarion Support » Fri Nov 17, 2006 11:24 pm

Hi Mark!

First, installing the new 3.6 versions will replace the 3.0 versions in the library.

For CPCS we strongly recommend that you not use the CPCS add-in but use ours instead. CPCS has not kept pace with PDF-Tools.
Craig Ransom
Tracker Software - Clarion Support
http://www.tracker-software.com

MSegnari
User
Posts: 12
Joined: Fri Jul 08, 2005 9:55 pm

Post by MSegnari » Mon Nov 20, 2006 2:47 pm

Hi,

My template registry still has the 3.0 templates registered, and not the 3.6 templates. Both files are present in my template directories, that's why I was wondering what to do. The template library was not automatically updated with the installation. Here are some of the files I have two versions of in my Clarion setup:

netlib30
netlib36

pdfscn30
pdfscn36

pdftbx30
pdftbx36

pdftls30
pdftls36

pdfxdv30
pdfxdv30

pxcvwr36 (do not have a pxcvwr30)

Should I just delete all the "30" files and go with the "36" files, or can both versions co-exist in the Clarion setup? The 3.0 templates are registered right now, should I un-register the 3.0 templates and register the 3.6 templates?

Everything in the bin and distribute directories is still "30" and not "36", which is why I am checking what I should do and that my template registry is up to date.

Thanks,
Mark

Tracker - Clarion Support
Site Admin
Posts: 1412
Joined: Wed Jun 30, 2004 4:45 pm
Location: Maryland, USA
Contact:

Post by Tracker - Clarion Support » Mon Nov 20, 2006 4:50 pm

Hi Mark!

We left the "internal" numbering the same; however you may delete the "30" ones and then reregister the "36" ones using the Setup menu Template Registry dialog. Probably best if you do that.
Craig Ransom
Tracker Software - Clarion Support
http://www.tracker-software.com

MSegnari
User
Posts: 12
Joined: Fri Jul 08, 2005 9:55 pm

Post by MSegnari » Mon Nov 20, 2006 10:15 pm

Thanks,

Just wanted to make sure before I caused more problems than necessary!

Take care,
Mark

John - Tracker Supp
Site Admin
Posts: 8203
Joined: Tue Jun 29, 2004 10:34 am
Location: Vancouver Island - Canada
Contact:

Post by John - Tracker Supp » Tue Nov 21, 2006 10:38 am

Pleasure ;)
If posting files to this forum - you must archive the files to a ZIP, RAR or 7z file or they will not be uploaded - thank you.

Best regards
Tracker Support
http://www.tracker-software.com

Post Reply

Return to “PDF-XChange Drivers (only) API SDK - For Clarion For Windows Developers only Please”